Page MenuHomePhabricator

Finding buddies for everybody at the Wikimania 2015 hackathon
Closed, ResolvedPublic

Description

https://wikimania2015.wikimedia.org/wiki/Hackathon/Buddies is serving participants to find buddies, but we probably will need to offer extra help to match buddies. The goal is to have no participant without a buddy by the beginning of the event.

Event Timeline

Qgil created this task.Mar 18 2015, 2:03 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added a project: Wikimania-Hackathon-2015.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 2:03 PM

We have decided that "buddies for everybody" will not be a goal at Wikimania's Hackathon, but "buddies for newcomers and everybody willing to buddy up".

This task and https://wikimania2015.wikimedia.org/wiki/Hackathon#Buddies need updating.

Short extract from a related IRC discussion:

<guillom> One thing I was thinking of was "revolving buddies", i.e. maybe having "themed tables" where people could come if they needed help with VisualEditor, or with JavaScript, or with extensions, etc.
<guillom> I imagine that someone could have multiple needs during the hakathon, and a single buddy might not be able to help with everything.
<Reedy> Unless everyone was paired with a Roan clone
<guillom> Reedy: My point exactly.

This is a great idea @gpaumier.
We kind of already do this by having whiteboards at table where people write what they are working on. That way people can come up to a project and get involved.
If you have ideas to improve this I would love to implement them and get it going by Mexico City.

One point to make: We basically just pair people up with buddies just so they have an "insider contact." There is no need or requirement to work with your buddy for the entire hackathon, or even any of it. The main purpose of buddies is it to have someone to know right from the start. That person can introduce you to other people, can help you find a project, can suggest sessions for you OR hack with.

@Rfarrand thank you for the explanation. I wasn't in Lyon so I wasn't sure how it worked there. It seems you have thought this through :)

Qgil assigned this task to Rfarrand.Jul 7 2015, 6:00 PM

Every newcomer who asked for a buddy (and who I could find a way to contact) was assigned a buddy at the Wikimania hackathon.
This effort has positive impact from my observation but we will learn more once the results of the Wikimania feedback survey are in.

You can see buddy pairings and efforts here:
https://wikimania2015.wikimedia.org/wiki/Hackathon/Buddies

Rfarrand closed this task as Resolved.Jul 24 2015, 7:02 PM